## org.apache.lucene.xmlparser.builders
Class ConstantScoreQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.ConstantScoreQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class ConstantScoreQueryBuilder

extends Object
implements QueryBuilder

Constructor Summary
`ConstantScoreQueryBuilder(FilterBuilderFactory filterFactory)`

Method Summary
`org.apache.lucene.search.Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantScoreQueryBuilder

    public ConstantScoreQueryBuilder(FilterBuilderFactory filterFactory)

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`